<?php

namespace WPSN\Core;

defined('ABSPATH') || exit;

interface ModuleInterface
{
    public function id(): string;

    public function name(): string;

    public function description(): string;

    public function defaultEnabled(): bool;

    public function register(): void;

    public function boot(): void;
}
